
Full Screen Editor - Keyboard Help
----------------------------------

To use PCBoard's full screen editor you need to familiarize yourself with the
functions listed below utilizing the PC's keyboard (or control sequences in
case your system does not support the PC's specialized keyboard):

   Cursor Movement             PC Keyboard       Control Keys   ANSI codes
   ---------------------       -----------       ------------   ----------
   Move Left a Character       Left Arrow        Ctrl-S         ESC[D
   Move Right a Character      Right Arrow       Ctrl-D         ESC[C
   Move Left to Previous Word  Ctrl-Left Arrow   Ctrl-A
   Move Right to Next Word     Ctrl-Right Arrow  Ctrl-F
   Move To Next Tab Stop       Tab Key           Ctrl-I
   Move To Start of Line       Home Key          Ctrl-W         ESC[H
   Move To End of Line         End Key           Ctrl-P         ESC[K
   Move Up a Line              Up Arrow          Ctrl-E         ESC[A
   Move Down a Line            Down Arrow        Ctrl-X         ESC[B
   Move Up a Page              PgUp Key          Ctrl-R
   Move Down a Page            PgDn Key          Ctrl-C

   Edit Function               PC Keyboard       Control Keys
   ---------------------       -----------       ------------
   Toggle Insert Mode          Ins Key           Ctrl-V
   Reformat Paragraph          Ctrl-B            Ctrl-B
   Join a Line                 Ctrl-J            Ctrl-J
   Insert a Line               Ctrl-N            Ctrl-N
   Delete a Line               Ctrl-Y            Ctrl-Y
   Delete to End of Line       Ctrl-End          Ctrl-K
   Delete Char                 Del Key           Ctrl-G
   Delete Char to the Left     Backspace         Ctrl-H
   Delete Word to the Right    Ctrl-T            Ctrl-T

   Special Functions           PC Keyboard       Control Keys
   ---------------------       -----------       ------------
   Exit Full Screen Editor     ESC               Ctrl-U
   Redisplay Screen            Ctrl-L            Ctrl-L
   Quote or List Original      Ctrl-O            Ctrl-O or Ctrl-Q


Using the above keystrokes
--------------------------
All systems should be able to use the Control Key method of performing the
above functions (press and hold the CTRL key while typing the letter key that
follows it in the above table).

The more familiar PC Keyboard keys, such as the arrow keys, will work while on
locally.  They will also work if your communications program is capable of
either sending the actual keystroke (keyboard scan code) or an ANSI escape code
equivalent through to the host system.

An example would be calling in from remote using Qmodem to connect to PCBoard
and utilitizing either the 'Doorway Mode' or the 'Keyboard Emulation' in Qmodem
so that keystrokes are passed directly on to PCBoard.

The ANSI escape codes are an alternate means of telling PCBoard to move the
cursor around on the screen.  Qmodem's "Keyboard Emulation" feature makes use
of these ANSI codes without the need for Doorway Mode.  Other comm packages
may be able to program the ANSI escape codes into function keys.


Insert Mode
-----------
While in 'Insert Mode' it should be noted that characters to the right of the
cursor will be pushed one character to the right as each letter is typed.

Additionally, pressing the (Enter) key while in Insert Mode will cause a new
line to be inserted.


NON-PC KEYBOARD USERS PLEASE NOTE!
----------------------------------
Some modems and packet switch environments will filter out CTRL-S keystrokes
and interpret them to mean "stop sending data".  In these environments
pressing CTRL-S will not move the cursor as expected - in fact it will
appear to do nothing.  You will need to press CTRL-Q to get going again.

You can work around this by using CTRL-A which means move left to previous
WORD rather than moving a character to the left.

Those of you who can send either an ESC[D or the PC scan code for the Left
Arrow will not encounter this problem and will never have to worry about it.

