
 ====  DOOR Help - UserDir System Help  =======================================

  UserDir is a key-oriented database system that is similar in function
  to a large-scale user directory on the pay communications services.
  Here are a list of functions and a brief idea of what they do. More
  extensive help is given later in the file.

  [E] - This function enables you to add your own UserDir record to the
        others already present. When verified by the SysOp, it too will
        be viewable by others.

  [C] - At the SysOps discretion, you may elect to change your BBS data.
        You may change the phone numbers and city/state in your BBS rec-
        ord.

  [H] - Prints this extended help file. Brief first, then extensive.

  [M] - When available, you may change from ANSI color graphics to normal
        ASCII text.

  [U] - You may update your UserDir record at any time after you enter it.
        It is recommended that you do so soon afterwards and occasionally
        in an effort to make sure it remains current.

  [K] - If you no longer wish to be included in the UserDir directory,
        then you may kill your record with this function. You are asked to
        verify prior to execution of the function.

  [V] - With this function, you may view your own record as it would be
        seen by other users. You may determine if it is right or not.

  [R] - After you are done with UserDir, and wish to return to the BBS,
        you may use this function. Within a few moments, the bulletin
        board will return.

  [G] - If you are done for this call, or have to leave in a hurry and
        do not wish to return to the BBS, use this function. Your BBS
        record will be updated appropriately.

  [P] - With this function, you may page the SysOp. If the SysOp is in
        and wishes to accept your page, he/she may wish to chat with you
        while inside UserDir. 

  [X] - You may toggle the menus with this function. If you find the menus
        bulky or unnecessary, use this function. You will still, however,
        receive a one-line function letter list to aid you.

  [?] - This function will only reprint the menu, but you will remain in
        whichever mode (expert or non-expert) you were.

  [Q] - This function transfers you to the Quick-Scan sub-system, which
        includes:

        [A] - Alphabetical search of names. Enter any letter or letters
              according to instructions and receive a list of users whose
              first or last name start with the letter(s) you input.

        [C] - City or state search. You can enter any city (or part of the
              city) or any state abbreviation and receive a list of users
              which match your input.

        [F] - If you have entered a UserDir record, this function will
              compare your data with the entire database and attempt to
              locate other users with items in their records which closely
              match yours. This process does take some time, however.

        [S] - This function, if you have entered a UserDir record, will
              list all records added or updated since the last time you
              were in UserDir.

        [T] - This function transfers you to the Search sub-system without
              having to return to the main menu.

        [M] - This function returns you to the main menu.

        [X] & [?] function similarly to the main menu command.

  [S] - This function transfers you to the Search sub-system which
        includes:

        [N] - Name search. You may search for a persons name, or even
              part of their name, first or last. All search functions
              will display the record number and name first, then will
              prompt you for further action.

        [D] - Data search. This most powerful function of UserDir allows
              you to search for another UserDir record with a particular
              item in it. For example, you may search for all users with
              IBM on their record.

        [U] - Date searches. You may search for records update since or
              on any date you select, or you may use the default date of
              the last time you accessed UserDir.

        [T], [M], [X], & [?] all function as in the Quick-Scan system.

  What follows is extended help on functions (Main [E] and [U], Quick
  [C] and Search [D]). All other functions are self-explanatory.

  [E]   - Enter your own UserDir record. You can only do this once, unless
          your record gets deleted. To do so, you will be prompted for data
          in each of three category fields. These fields were setup by your
          SysOp. You may enter any word information you like. Throughout
          UserDir, all letter characters typed are converted to uppercase.
          You will have up to 82 characters for the first data field, and
          64 characters for the other two. The number of characters
          will be displayed, along with the field you are currently adding
          to. Pressing return will exit the field and proceed to the 
          next one. If there are no more fields, UserDir will save your
          record and return you to the command prompt.

          As the database is "key-oriented", it is advisable that you use
          only simple key words. For example, if you enter that you use an
          IBM PC-XT, it may be distorted, so IBM might be more descriptive.
          Additionally, you may not wish to repeat yourself in different
          fields. If you are a bicyclist, and you own a bicycle, the word
          bicycle only need be entered once on your record. Words such as
          "the", "of" and "it" are wasted words, and are commonly discarded
          by UserDir.

  [U]   - Allows you to update your UserDir record. There are two ways to
          update your record. You can either add to it by choosing [I]nsert
          or you can update what is already there by [E]diting it. You may
          also wish to delete information from your record in this function
          to get rid of out of date information.
          
          To add information to your record:
             1 - Select [I] at the [E] or [I] prompt.
             2 - Choose the field to which you wish to add.
             3 - Enter the new information.
             4 - After verifying the data, your record will be updated.

          To edit information in your record:
             1 - Select [E] at the [E] or [I] prompt.
             2 - Each category is displayed with a list of the information
                 already in your record. It is numbered for easy retrieval.
             3 - If what is displayed is NOT correct, answer "N" to the
                 "Is data correct?" prompt. Otherwise, press [Enter].
             4 - Enter the corresponding number of the data item to replace.
                 A number too high or too low will be ignored.
             5 - Type in the replacement item(s). You may enter more than one
                 replacement word. UserDir will compensate by inserting the
                 new data correctly for you.
             6 - The same field is now redisplayed to be sure that the data
                 you entered is correct. You may either replace something
                 else or press [Enter] to continue. This process repeats
                 until all fields are displayed and your updates are
                 complete.

          To delete data from your record:
             1 - Select [E] at the [E] or [I] prompt.
             2 - If what is displayed is not correct, answer "N" to the
                 "Is data correct?" prompt. Otherwise, press [Enter].
             3 - Enter the corresponding number of the data item you wish
                 to delete. Be sure it is the correct one.
             4 - When displayed for new text, type in the word "NONE" only.
                 Unpredictable results may occur if you enter more than
                 one word, but that data item will be deleted if you entered
                 "NONE".
             5 - The same field is now redisplayed with the offending data
                 gone. This process repeats until you have no more updates.

          How to use Quick-Scan function [C]:

          This function will search for all types of text input based
          on city and/or state. To search for a city:
             1 - Enter [C] at the [C] or [S] prompt.
             2 - Enter a city name, or part of the city and press [Enter].
             3 - UserDir, as in all Quick-Scan functions, will return the
                 name and last access date of all users matching your input.
             4 - You are returned to the [C]/[S] prompt.

          To search for a state:
          
          If your BBS uses proper abbreviations (such as MA, DC, CA, etc):
             1 - Enter [S] at the [C] or [S] prompt.
             2 - Enter the two-letter abbreviation of the state you are
                 searching for. It is verified for accuracy.
             3 - UserDir will return the names of those users matching your
                 input.

          If your BBS uses other than proper abbreviations:
             1 - Enter [C] at the [C] or [S] prompt.
             2 - Enter the information you believe will properly accomplish
                 the search based on the city/state information your SysOp
                 uses.
             3 - UserDir will return all names found matching your input.

          How to use Search sub-system function [D]:

          Always bear in mind that UserDir is a key-oriented database. All
          this will show you is examples:

          If you entered "COMPUTERS MOVIES RECORDS" UserDir might return the
          names and record numbers of everyone in computing, computers,
          computations, movies, moving, moves, records, and recording. Based
          on that, you should enter your key words accordingly, similar to 
          the way you entered your UserDir record.

          "BULLETIN FISHING IBM" might return bulletins, bull, bullets, fish,
          fishing, IBM, IBM-PC, IBM-XT and IBMer.

          "FRIENDS" might return friendship, friendly, and friends.

          "READING" might return reading, readiness, and reader.

          You should understand the general idea. You may input up to 30
          characters, and when prompted after all records have been located,
          you may enter [A] to view all records located, or a record number
          or numbers (the [#]) you wish to view, or [Enter] for neither
          option. As each record displays, you have the option to terminate
          after each display, or to go on.

          If you need additional help, please message your SysOp.

 ==============================================================================
